# Uses of Class
com.google.protobuf.TypeRegistry.Builder

Packages that use TypeRegistry.Builder
Package
Description
com.google.protobuf

## Uses of TypeRegistry.Builder in com.google.protobuf

Methods in com.google.protobuf that return TypeRegistry.Builder
Modifier and Type
Method
Description
`TypeRegistry.Builder`
TypeRegistry.Builder.`add(Descriptors.Descriptor messageType)`
Adds a message type and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.
`TypeRegistry.Builder`
TypeRegistry.Builder.`add(Iterable<Descriptors.Descriptor> messageTypes)`
Adds message types and all types defined in the same .proto file as well as all transitively imported .proto files to this `TypeRegistry.Builder`.
`static TypeRegistry.Builder`
TypeRegistry.`newBuilder()`